## org.apache.cocoon.processor
Class ProcessorFactory

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.framework.Router
                  |
                  +--org.apache.cocoon.processor.ProcessorFactory

All Implemented Interfaces:
  Actor, Configurable, Defaults, Status

public class ProcessorFactory
extends Router
implements Defaults

This class implements the processing router by identifying the processor associated to the produced document.

Version:
  $Revision: 1.5 $ $Date: 2000/02/13 18:29:30 $
Author:
  Stefano Mazzocchi

Fields inherited from class org.apache.cocoon.framework.Router
`defaultType, objects`

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Fields inherited from interface org.apache.cocoon.Defaults

`BROWSERS_PROP, CACHE_DEFAULT, CACHE_PROP, COCOON_FORMAT_PI, COCOON_PROCESS_PI, DEFAULT_BROWSER, DISABLE_CACHING_PI, ERROR_INTERNALLY, FORMATTER_PROP, HOME, INIT_ARG, INTERPRETER_PROP, LOG, LOG_LEVEL, LOOPS, NAME, OUTPUTTING, PARSER_DEFAULT, PARSER_PROP, PROCESSOR_PROP, PRODUCER_PROP, PROFILER_DEFAULT, PROFILER_PROP, PROPERTIES, SHOW_STATUS, STATUS_URL, STATUS_URL_DEFAULT, STORE_DEFAULT, STORE_PROP, STYLESHEET_PI, TRANSFORMER_DEFAULT, TRANSFORMER_PROP, VERSION, WHOLE_REQUEST, YEAR`

Constructor Summary
`ProcessorFactory()`

Method Summary
`Processor` `getProcessor(org.w3c.dom.Document document)`
`java.lang.String` `getStatus()` Returns information about the status of the implementing class.
`java.lang.String` `getType(org.w3c.dom.Document document)`

Methods inherited from class org.apache.cocoon.framework.Router
`init`

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorFactory

    public ProcessorFactory()

Method Detail

### getProcessor

    public Processor getProcessor(org.w3c.dom.Document document)
                           throws java.lang.Exception

### getType

    public java.lang.String getType(org.w3c.dom.Document document)

### getStatus

    public java.lang.String getStatus()

  Description copied from interface: `Status`
  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.
  Overrides:
    `getStatus` in class `Router`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.